# Get provisioning

## Get provision data

<mark style="color:blue;">`GET`</mark> `https://api.whisk.com/provision/v2/dictionaries`

Method developed to get provision data for user. For example get list of all tags for review.&#x20;

#### Query Parameters

| Name                 | Type   | Description                                                                                    |
| -------------------- | ------ | ---------------------------------------------------------------------------------------------- |
| language             | String | defaults to user's language                                                                    |
| response\_mask.paths | Enum   | The set of field mask paths. possible values: `recipe_languages, cooking_devices, recipe_tags` |

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{
  "recipe_languages": [
    {
      "code": "string",
      "display_name": "string"
    }
  ],
  "cooking_devices": [
    {
      "name": {
        "name": "string",
        "display_name": "string"
      },
      "image_url": "string",
      "modes": [
        {
          "name": {
            "name": "string",
            "display_name": "string"
          },
          "attributes": [
            {
              "name": {
                "name": "string",
                "display_name": "string"
              },
              "type": "COOKING_INTENT_ATTRIBUTE_TYPE_INVALID",
              "selection_values": [
                {
                  "value_type": "COOKING_INTENT_ATTRIBUTE_VALUE_TYPE_INVALID",
                  "value_format": "string",
                  "double_values": {
                    "bounded": {
                      "min": 0,
                      "max": 0,
                      "step": 0
                    },
                    "list": {
                      "values": [
                        0
                      ]
                    },
                    "default": 0,
                    "unit": {
                      "name": "string",
                      "display_name": "string"
                    }
                  },
                  "int_values": {
                    "bounded": {
                      "min": 0,
                      "max": 0,
                      "step": 0
                    },
                    "list": {
                      "values": [
                        0
                      ]
                    },
                    "default": 0,
                    "unit": {
                      "name": "string",
                      "display_name": "string"
                    }
                  },
                  "string_values": {
                    "values": [
                      {
                        "name": "string",
                        "display_name": "string"
                      }
                    ],
                    "unit": {
                      "name": "string",
                      "display_name": "string"
                    },
                    "default": "string"
                  }
                }
              ],
              "is_optional": true
            }
          ],
          "integration_status": "COOKING_DEVICE_MODE_INTEGRATION_STATUS_INVALID"
        }
      ]
    }
  ],
  "recipe_tags": [
    {
      "group_display_name": "string",
      "tags": [
        {
          "name": "string",
          "display_name": "string"
        }
      ]
    }
  ]
}
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Request body

### Sample request and response

{% tabs %}
{% tab title="Request" %}
curl -X GET "<https://api.b2c.whisk-dev.com/provision/v2/dictionaries?response\\_mask.paths=recipe\\_tags\\&response\\_mask.paths=recipe\\_languages>" -H "accept: application/json" -H "Authorization: {beare\_token}"
{% endtab %}

{% tab title="Response" %}

```
{
  "recipe_languages": [
    {
      "code": "en",
      "display_name": "English"
    },
    {
      "code": "ko",
      "display_name": "한국어"
    },
    {
      "code": "de",
      "display_name": "Deutsch"
    },
    {
      "code": "es",
      "display_name": "Español"
    },
    {
      "code": "fr",
      "display_name": "Français"
    },
    {
      "code": "it",
      "display_name": "Italiano"
    },
    {
      "code": "hi",
      "display_name": "हिन्दी"
    },
    {
      "code": "nl",
      "display_name": "Nederlands"
    },
    {
      "code": "fil",
      "display_name": "Wikang Filipino"
    },
    {
      "code": "pl",
      "display_name": "Polski"
    },
    {
      "code": "pt",
      "display_name": "Português"
    },
    {
      "code": "he",
      "display_name": "עברית"
    },
    {
      "code": "ru",
      "display_name": "Русский"
    },
    {
      "code": "sr",
      "display_name": "Српски"
    }
  ],
  "recipe_tags": [
    {
      "group_display_name": "How did it taste?",
      "tags": [
        {
          "name": "delicious",
          "display_name": "Delicious"
        },
        {
          "name": "sweet",
          "display_name": "Sweet"
        },
        {
          "name": "spicy",
          "display_name": "Spicy"
        },
        {
          "name": "bland",
          "display_name": "Bland"
        },
        {
          "name": "moist",
          "display_name": "Moist"
        },
        {
          "name": "dry",
          "display_name": "Dry"
        },
        {
          "name": "crispy",
          "display_name": "Crispy"
        },
        {
          "name": "fresh",
          "display_name": "Fresh"
        }
      ]
    },
    {
      "group_display_name": "What was good about it?",
      "tags": [
        {
          "name": "easy",
          "display_name": "Easy"
        },
        {
          "name": "kid-friendly",
          "display_name": "Kid-friendly"
        },
        {
          "name": "under-30-minutes",
          "display_name": "Under 30 minutes"
        },
        {
          "name": "one-dish",
          "display_name": "One-dish"
        },
        {
          "name": "makes-leftovers",
          "display_name": "Makes leftovers"
        }
      ]
    },
    {
      "group_display_name": "Would you make it again?",
      "tags": [
        {
          "name": "go-to",
          "display_name": "Go-to"
        },
        {
          "name": "never-again",
          "display_name": "Never again"
        },
        {
          "name": "special-occasion",
          "display_name": "Special occasion"
        }
      ]
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/provisioning/get-provisioning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
